rem !!! Pre spravnu funkcnost je potrebne spravne nastavit premennu OPEN_CONF
rem Pre BPS obraz to je nastavenie 
rem set OPENSSL_CONF=C:\OPENSSL\BIN\openssl.cnf 


rem #create Root CA
openssl genrsa -out root.key 3072
openssl req -new -x509 -days 1826 -key root.key -out root.pem -subj "/C=US/O=xzy/OU=abc/CN=ROOT-CN" 

rem #create Intermediate CA
openssl genrsa -out intermediate.key 2048
openssl req -new -sha256 -key intermediate.key -nodes -out intermediate.csr -subj "/C=US/O=xyz/OU=abc/CN=INTERIM-CN"
openssl x509 -req -days 1000 -extfile MyOpenssl.conf -extensions int_ca -in intermediate.csr -CA root.pem -CAkey root.key -CAcreateserial -out intermediate.pem

rem #create EndUser certificates
openssl genrsa -out server.key 2048
openssl req -new -key server.key -out server.csr -subj "/C=US/O=xyz/OU=abc/CN=USER-CN" 
openssl x509 -req -in server.csr -extfile v3.ext -CA intermediate.pem -CAkey intermediate.key -set_serial 123 -out server.pem -days 500 -sha256


rem     Export test certificate with private key and the chain certificates to PFX
openssl pkcs12 -export -out server.pfx -inkey server.key -in server.pem -certfile intermediate.pem 
rem zlucenie poloziek
openssl pkcs12 -in server.pfx -out server.pem -nodes
rem precitanie obsahu certifikatu
openssl x509 -in server.pem -text -noout >  server.txt
openssl x509 -in root.pem -text -noout >  root.txt

